import { Location } from '@angular/common';
import { Router } from '@angular/router';
import { BreadcrumbService } from './breadcrumbService';
/**
 * This component shows a breadcrumb trail for available routes the router can navigate to.
 * It subscribes to the router in order to update the breadcrumb trail as you navigate to a component.
 */
export declare class BreadcrumbComponent {
    private router;
    private location;
    private breadcrumbService;
    private _urls;
    constructor(router: Router, location: Location, breadcrumbService: BreadcrumbService);
    generateBreadcrumbTrail(url: string): void;
    navigateTo(url: string): void;
    friendlyName(url: string): String;
    urls: string[];
}
